module Drv {
    interface I2c {
        @ Port for guarded synchronous writing to I2C
        guarded input port write: Drv.I2c

        @ Port for guarded synchronous reading from I2C
        guarded input port read: Drv.I2c

        @ Port for synchronous writing and reading from I2C
        guarded input port writeRead: Drv.I2cWriteRead
    }
}
